Skip to main content
GET
/
api
/
v1
/
apps
/
{app_id}
/
resource_types
/
{app_resource_type_id}
/
resources
/
{id}
Get
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppResource.Get(ctx, operations.C1APIAppV1AppResourceServiceGetRequest{
        AppID: "<id>",
        AppResourceTypeID: "<id>",
        ID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.AppResourceServiceGetResponse != nil {
        // handle response
    }
}
{
  "appResourceView": {
    "appPath": "<string>",
    "appResource": {
      "accessConfigId": "<string>",
      "appId": "<string>",
      "appResourceTypeId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "customDescription": "<string>",
      "deletedAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "displayName": "<string>",
      "externalId": "<string>",
      "grantCount": "<string>",
      "id": "<string>",
      "matchBatonId": "<string>",
      "parentAppResourceId": "<string>",
      "parentAppResourceTypeId": "<string>",
      "profile": {},
      "secretTrait": {
        "identityAppUserId": "<string>",
        "lastUsedAt": "2023-11-07T05:31:56Z",
        "secretCreatedAt": "2023-11-07T05:31:56Z",
        "secretExpiresAt": "2023-11-07T05:31:56Z"
      },
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "objectPermissions": {
      "delete": true,
      "edit": true,
      "extra": {},
      "read": true
    },
    "parentResourcePath": "<string>",
    "parentResourceTypePath": "<string>",
    "resourceTypePath": "<string>"
  },
  "expanded": [
    {
      "@type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The ID of the app that owns the resource.

app_resource_type_id
string
required

The ID of the resource type that classifies this resource.

id
string
required

The unique ID of the app resource to retrieve.

Response

200 - application/json

The app resource service get response contains the app resource view and array of expanded items indicated by the request's expand mask.

The app resource service get response contains the app resource view and array of expanded items indicated by the request's expand mask.

appResourceView
App Resource View · object

The app resource view returns an app resource with paths for items in the expand mask filled in when this response is returned and a request expand mask has "*" or "app_id" or "resource_type_id".

expanded
object[] | null

List of serialized related objects.